<template>
    <div class="three-batches">
        <div class="tab-box">
            <div
                :class="['box', isActive === btn.key ? 'active-box' : '']"
                @click="tabClick(btn.key)"
                v-for="btn in btnOptions"
                :key="btn.key"
            >
                {{ btn.name }}
            </div>
        </div>
        <el-table
            :element-loading-background="loadingColor"
            v-loading="loading"
            height="400"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                type="index"
                label="序号"
                width="80"
            ></el-table-column>
            <el-table-column prop="projectName" label="项目名称" width="320" />

            <el-table-column
                prop="leader"
                v-if="isActive === 1"
                label="牵头市领导"
            />
            <el-table-column prop="unitName" v-else label="主责单位" />
        </el-table>
    </div>
</template>
<script>
import pagenation from './pagenation.vue'
import apiList from '@/api/bigScreen/majorView.js'
export default {
    name: 'iterationList',
    components: {pagenation},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            btnOptions: [
                {key: 1, name: '加快实施一批'},
                {key: 2, name: '准备启动一批'},
                {key: 3, name: '谋划储备一批'},
            ],
            // tableData1: [
            //     {
            //         id: 1,
            //         projectName: '推动数字重庆建设',
            //         score: 31,
            //         sn: 1,
            //         trend: 0,
            //     },
            //     {
            //         id: 2,
            //         projectName: '全市开发区（园区）数',
            //         score: 26,
            //         sn: 2,
            //         trend: 1,
            //     },
            //     {
            //         id: 3,
            //         projectName: '探索制造业“亩均论英雄”改革',
            //         score: 23,
            //         sn: 3,
            //         trend: 1,
            //     },
            //     {
            //         id: 4,
            //         projectName: '实施国企战略性重组和专业化整合',
            //         score: 22,
            //         sn: 4,
            //         trend: 1,
            //     },
            //     {
            //         id: 5,
            //         projectName: '建立企业上市助推机制',
            //         score: 21,
            //         sn: 5,
            //         trend: 2,
            //     },
            //     {
            //         id: 6,
            //         projectName: '探索强村富民综合改革',
            //         score: 15,
            //         sn: 6,
            //         trend: 1,
            //     },
            //     {
            //         id: 7,
            //         projectName: '探索经济区与行政区适度分离改革',
            //         score: 13,
            //         sn: 7,
            //         trend: 1,
            //     },
            //     {
            //         id: 8,
            //         projectName: '推进涉企涉民服务全生命周期“一件事一次办”',
            //         score: 12,
            //         sn: 8,
            //         trend: 1,
            //     },
            //     {
            //         id: 9,
            //         projectName: '打造“信用重庆”升级版',
            //         score: 11,
            //         sn: 9,
            //         trend: 2,
            //     },
            //     {
            //         id: 10,
            //         projectName: '建设政企学研深度融合的现代职教体系',
            //         score: 9,
            //         sn: 10,
            //         trend: 1,
            //     },
            //     {
            //         id: 11,
            //         projectName: '健全平安重庆风险闭环管控机制',
            //         score: 7,
            //         sn: 11,
            //         trend: 2,
            //     },

            //     {
            //         id: 12,
            //         projectName: '推进渝警数智“情指行”一体化现代警务改革',
            //         score: 5,
            //         sn: 12,
            //         trend: 1,
            //     },
            //     {
            //         id: 13,
            //         projectName: '建立领导班子运行评估和群众口碑评价机制',
            //         score: 4,
            //         sn: 13,
            //         trend: 2,
            //     },
            //     {
            //         id: 14,
            //         projectName: '推进“党建扎桩·治理结网”基层治理现代化改革',
            //         score: 3,
            //         sn: 14,
            //         trend: 1,
            //     },
            //     {
            //         id: 15,
            //         projectName: '实施投融资多元化改革',
            //         score: 2,
            //         sn: 15,
            //         trend: 1,
            //     },
            // ],
            // tableData2: [
            //     {
            //         projectName: '深化全市机构改革',
            //         unitName: '市委改革办、市委编办',
            //     },
            //     {
            //         projectName: '建立专精特新企业梯度培育机制',
            //         unitName: '市经济信息委',
            //     },
            //     {
            //         projectName: '建设绿色金融改革创新试验区',
            //         unitName: '人行重庆营管部',
            //     },
            //     {
            //         projectName: '构建科技成果从“实验室”到“大市场”衔接机制',
            //         unitName: '市科技局',
            //     },
            //     {
            //         projectName: '探索西部陆海新通道合作新模式',
            //         unitName: '市政府口岸物流办',
            //     },
            //     {
            //         projectName: '创新果园港国家物流枢纽多式联运体系',
            //         unitName: '两江新区',
            //     },
            //     {
            //         projectName: '开展放宽服务业外资市场准入试点',
            //         unitName: '市商务委',
            //     },
            //     {
            //         projectName:
            //             '建立成渝地区双城经济圈优质科创资源共用共享机制',
            //         unitName: '市科技局',
            //     },
            //     {
            //         projectName: '打造万达开川渝统筹发展示范区',
            //         unitName: '市发展改革委',
            //     },
            //     {
            //         projectName: '深化公共资源交易监管体制改革',
            //         unitName: '市公共资源交易监管局',
            //     },
            //     {
            //         projectName: '推动优质医疗资源“靠近老百姓”',
            //         unitName: '市卫生健康委',
            //     },
            //     {
            //         projectName: '健全“就在山城·渝创渝新”就业服务机制',
            //         unitName: '市人力社保局',
            //     },
            //     {
            //         projectName: '探索建设卓越工程师培养先行区',
            //         unitName: '两江新区',
            //     },
            //     {
            //         projectName: '打造践行全过程人民民主基层单元',
            //         unitName: '市人大常委会人代工委',
            //     },
            //     {
            //         projectName: '完善政协委员联系界别群众机制',
            //         unitName: '市政协联络委',
            //     },
            //     {
            //         projectName: '构建常态化亲清新型政商关系',
            //         unitName: '市委统战部',
            //     },
            //     {
            //         projectName: '构建意识形态安全“防护网”',
            //         unitName: '市委宣传部',
            //     },
            //     {
            //         projectName: '创新“双网格化”管网用网体系',
            //         unitName: '市委网信办',
            //     },
            //     {
            //         projectName: '探索清廉重庆建设机制',
            //         unitName: '市纪委监委机关',
            //     },
            // ],
            // tableData3: [
            //     {
            //         projectName: '深化国企市场化用人机制改革',
            //         unitName: '市国资委',
            //     },
            //     {
            //         projectName: '建立区县事权与支出责任对等的财政体制',
            //         unitName: '市财政局',
            //     },
            //     {
            //         projectName: '推进要素市场化配置综合改革试点',
            //         unitName: '市发展改革委',
            //     },
            //     {
            //         projectName: '健全反垄断和反不正当竞争机制',
            //         unitName: '市市场监管局',
            //     },
            //     {
            //         projectName: '实施重庆自由贸易试验区提升改革',
            //         unitName: '市商务委',
            //     },
            //     {
            //         projectName: '盘活国有低效闲置存量资产',
            //         unitName: '市发展改革委',
            //     },
            //     {projectName: '深化科技人才评价改革', unitName: '市科技局'},
            //     {projectName: '深化市属公益科研机构改革', unitName: '市科技局'},
            //     {
            //         projectName: '创新页岩气开发利益共享机制',
            //         unitName: '市发展改革委',
            //     },
            //     {
            //         projectName: '构建成渝地区先进制造业集群培育机制',
            //         unitName: '市经济信息委',
            //     },
            //     {
            //         projectName: '完善川渝跨界污染协同治理机制',
            //         unitName: '市生态环境局',
            //     },
            //     {projectName: '完善自然保护地管理体制', unitName: '市林业局'},
            //     {projectName: '完善义务教育评价体系', unitName: '市教委'},
            //     {projectName: '推进住房公积金制度改革', unitName: '市城乡建委'},
            //     {projectName: '完善生育支持服务体系', unitName: '市卫生健康委'},
            //     {
            //         projectName: '健全医养结合的养老服务体系',
            //         unitName: '市民政局、市卫生健康委',
            //     },
            //     {
            //         projectName: '健全平急结合医防协同机制',
            //         unitName: '市卫生健康委',
            //     },
            //     {
            //         projectName: '构建社会矛盾源头治理“五张防护网”',
            //         unitName: '信访办',
            //     },
            //     {projectName: '健全司法监督机制', unitName: '市委政法委'},
            //     {
            //         projectName: '健全培养选拔优秀年轻干部常态化工作机制',
            //         unitName: '市委组织部',
            //     },
            // ],
            tableData: [],
            isActive: 1,
        }
    },
    mounted() {
        this.loadData(this.isActive)
    },
    methods: {
        tabClick(e) {
            this.isActive = e
            this.loadData(this.isActive)
            // this.tableData = this[`tableData${this.isActive}`]
        },
        loadData(type) {
            this.loading = true
            // type
            // 1:加快实施一批，
            // 2:准备启动一批，
            // 3:谋划储备一批
            let data = {
                pageBean: {
                    page: 1,
                    pageSize: -1,
                    showTotal: true,
                },
                querys: [
                    {
                        group: 'main',
                        operation: 'EQUAL',
                        parentGroup: '',
                        property: 'project_type_',
                        relation: 'AND',
                        value: type,
                    },
                ],
            }
            apiList.getProjectByType(data, (res) => {
                if (res) {
                    this.tableData = res.rows
                }
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.three-batches {
  .tab-box {
    width: 100%;
    margin: 10px 0 20px 0;
    display: flex;
    justify-content: center;

    .box {
      width: 20%;
      font-family: SimHei;
      font-weight: 500;
      color: #b1e3ff;
      height: 36px;
      line-height: 36px;
      border: 1px solid #1790ff;
      text-align: center;
      cursor: pointer;
    }

    .active-box {
      background: #1790ff;
      color: #fff;
    }
  }
}
</style >
<style lang="scss">
@import './table.scss';
</style>





















